/* template.css */
body {
    font-family: 'Times New Roman', Times, serif;
    background-color: #111;
    color: #2ecc71; /* Cambio el color del texto a verde */
    margin: 0;
    padding: 0;
    display: flex; /* Utilizamos flexbox para centrar verticalmente */
    justify-content: center; /* Centramos horizontalmente */
    align-items: center; /* Centramos verticalmente */
    height: 100vh; /* Utilizamos el 100% de la altura de la ventana */
}

.container {
    max-width: 400px; /* Se redujo el ancho del contenedor */
    padding: 20px;
    background-color: #333;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    display: flex; /* Utilizamos flexbox para alinear verticalmente */
    flex-direction: column; /* Alineamos los elementos en columna */
}

h1 {
    /* Definimos el gradiente de fondo */
    background: linear-gradient(to right, #2ecc71, #fff);
    -webkit-background-clip: text; /* Propiedad específica para WebKit para aplicar el gradiente al texto */
    background-clip: text; /* Aplicamos el gradiente al texto */
    color: transparent; /* Hacemos el texto transparente para que el gradiente sea visible */
    position: absolute; /* Establecemos la posición absoluta */
    top: 100px; /* Ajustamos la distancia desde la parte superior */
    left: 550px; /* Ajustamos la distancia desde la izquierda */
    padding: 20px; /* Añadimos padding alrededor del texto */
}

label {
    color: #fff; /* Cambio el color de las etiquetas a blanco */
    margin-bottom: 5px; /* Añadimos espacio abajo de las etiquetas */
}

input[type="text"],
input[type="email"],
input[type="submit"] {
    width: 100%; /* Se establece el ancho al 100% para llenar el contenedor */
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #2ecc71; /* Verde */
    border-radius: 3px;
    background-color: #111;
    color: #fff; /* Cambio el color del texto a blanco */
}

input[type="submit"] {
    background-color: #2ecc71; /* Verde */
    color: #fff;
    cursor: pointer;
}

input[type="submit"]:hover {
    background-color: #2ecc71; /* Verde oscuro al pasar el ratón */
}
